'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _isPlainObject = require('is-plain-object');

var _isPlainObject2 = _interopRequireDefault(_isPlainObject);

var _operators = require('./operators');

var _operators2 = _interopRequireDefault(_operators);

/**
 * Applies mongo standard query to knex query builder
 * @param  {Object} query : a query based on mongo standard query
 * @param  {Object} knex  : knex query builder
 */
function applyMongoToKnex(query, knex, parentKey) {
  Object.keys(query).forEach(function (key) {
    var value = query[key];

    if ((0, _isPlainObject2['default'])(value)) {
      return applyMongoToKnex(value, knex, key);
    }

    var column = parentKey || key;
    var operator = _operators2['default'][key] || '=';

    return knex.where(column, operator, value);
  });
}

exports['default'] = applyMongoToKnex;
module.exports = exports['default'];